# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: privatebin/pdo
  # -- image tag
  tag: 1.3.5
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://docs.kanboard.org/en/latest/admin_guide/docker.html#environment-variables)
# and [application docs](# https://docs.kanboard.org/en/latest/admin_guide/config_file.html) for more details.
# @default -- See below (only deviations from the default settings are specified)
env:
  # -- container timezone
  TZ: UTC
  # -- PHP timezone (usually should match the containers TZ)
  PHP_TZ: UTC

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 8080

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  data:
    enabled: false
    mountPath: /srv/data

# -- Enable and configure postgresql database subchart under this key.
#    For more options see [postgresql chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/postgresql)
# @default -- See values.yaml
postgresql:
  enabled: false
  postgresqlUsername: privatebin
  postgresqlPassword: privatebin
  postgresqlDatabase: privatebin
  persistence:
    enabled: false
    # storageClass: ""

# -- Application Settings. See https://github.com/PrivateBin/PrivateBin/blob/master/cfg/conf.sample.php
# for a description of every setting
# @default -- See values.yaml
config:
  main:
    name: "PrivateBin"
    # discussion: true
    # opendiscussion: false
    # password: true
    # fileupload: false
    # burnafterreadingselected: false
    # defaultformatter: "plaintext"
    # syntaxhighlightingtheme: "sons-of-obsidian"
    # sizelimit: 10485760
    # template: "bootstrap"
    # info: "More information on the <a href='https://privatebin.info/'>project page</a>."
    # notice: "Note: This is a test service: Data may be deleted anytime. Kittens will die if you abuse this service."
    # languageselection: false
    # languagedefault: "en"
    # urlshortener: "https://shortener.example.com/api?link="
    # qrcode: false
    # icon: "none"
    # zerobincompatibility: false
    # httpwarning: true
    # compression: "zlib"
  expire:
    default: "1week"
  expire_options:
    5min: 300
    10min: 600
    1hour: 3600
    1day: 86400
    1week: 604800
    1month: 2592000
    1year: 31536000
    never: 0
  formatter_options:
    plaintext: "Plain Text"
    syntaxhighlighting: "Source Code"
    markdown: "Markdown"
  traffic:
    limit: 10
    # exemptedIp: "1.2.3.4,10.10.10/24"
